xubuntu 12.04.3 и ядро 3.2

Автор werwolf, февраля 05, 2014, 21:22:25

« предыдущая - следующая »

werwolf

Установил xubuntu 12.04.3 но почему-то установилось ядро 3.2, должно же было установиться 3.8. В синаптике доступны 3.2, 3.5 и 3.8 Почему это произошло? Подскажите.
P.S. после установки всех обновлений пишет версия 12.04.4 ))

denkin

февраля 05, 2014, 22:25:40 #1 Последнее редактирование: февраля 05, 2014, 22:27:19 от denkin
Вообще то ядро 3.2.ХХ в Убунту 12.04 всех подрелизов идет по дефолту.

А вот ядра более новые идут, так сказать, в подарок:
3.5.ХХ - raring (12.10)
3.8.XX - quantal (13.04)
3.11.XX - saucy (13.10)

Чтобы установить ядро 3.8.XX нужно выполнить в терминале:
sudo apt-get install linux-generic-lts-quantal xserver-xorg-lts-quantal
Это будет наиболее правильный метод (если ничего не путаю - должен быть подключен репозиторий backport). Имей при этом ввиду - параллельно останется и будет обновляться ветка "родного" ядра 3.2.ХХ. На первое время удалять её не стоит, пока не убедишься в стабильной работе новой ветки.

Естественно так же можно поставить и ветку ядра 3.11.ХХ:
sudo apt-get install linux-generic-lts-saucy xserver-xorg-lts-saucy

Для моего железа (АМД С-60, Радеон ХД6290) - это был гораздо лучший выбор :).

Удачи!

ЗЫ!!! Естественно после установки нового ядра нужно перезагрузиться :)
проверить после перезагрузки текущее ядро:
uname -r

denkin

Цитата: werwolf от февраля 05, 2014, 21:22:25
...
P.S. после установки всех обновлений пишет версия 12.04.4 ))
Ну так - пришло время :), ЛТС релизы раз в полгода (в августе и феврале получают "корректирующий" релиз, и заодно обновляются скачиваемые образы - более актуальным софтом) скачай ты на пару дней позже установочный образ - был бы уже сразу 12.04.4

В общем все у тебя в порядке.

PUY

А проблемы с ядром 3.8 решены? https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1216364
У меня ядро
Linux 3.13.1-031301-generic #201401291035 SMP Wed Jan 29 15:37:43 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
очень доволен

denkin

Цитата: PUY от февраля 05, 2014, 22:34:06
А проблемы с ядром 3.8 решены? https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1216364
У меня ядро
Linux 3.13.1-031301-generic #201401291035 SMP Wed Jan 29 15:37:43 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
очень доволен
понятия не имею насчет решения этого бага - нет такого оборудования, но никто же не мешает проверить :). У тебя ядро установленное "вручную" (наверное по инструкции с компизомании или убунтологии?) - а какая версия Убунту?

Ядро 3.13.ХХ с патчами от Каноникал будет использоваться в Убунту 14.04 ЛТС и вероятно в августе будет сделан бекпорт для 12.04. 

werwolf

Мне казалось что по умолчанию в 12.04.3 должно устанавливаться ядро 3.8
завтра проверю какие ядра на других компах стоят.

denkin

февраля 06, 2014, 00:07:57 #6 Последнее редактирование: февраля 06, 2014, 00:10:05 от denkin
Цитата: werwolf от февраля 05, 2014, 23:51:00
Мне казалось что по умолчанию в 12.04.3 должно устанавливаться ядро 3.8
завтра проверю какие ядра на других компах стоят.
мне нечего добавить к тому, что я уже сказал :(

на своей 12.04 ЛТС я ядра из бекпортов ставил ручную точно, так же и сносил.

PUY

 
ЦитироватьУ тебя ядро установленное "вручную"

kernelupdate
Цитироватьа какая версия Убунту?

No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 12.04.4 LTS
Release:   12.04
Codename:   precise

denkin

Цитата: PUY от февраля 06, 2014, 10:06:26
...
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 12.04.4 LTS
Release:   12.04
Codename:   precise

Если ядро устраивает - почему бы им не пользоваться? :) Единственный косяк, с которым сталкивался я с таким ядром - нету автоматических настроек для драйвера видео. То есть, если установлен проприеритарный драйвер, то при обновлении ядра может слететь xserver.

werwolf

февраля 06, 2014, 10:58:22 #9 Последнее редактирование: февраля 06, 2014, 11:00:39 от werwolf
Цитата: denkin от февраля 05, 2014, 22:25:40
Вообще то ядро 3.2.ХХ в Убунту 12.04 всех подрелизов идет по дефолту.

А вот ядра более новые идут, так сказать, в подарок:
3.5.ХХ - raring (12.10)
3.8.XX - quantal (13.04)
3.11.XX - saucy (13.10)

Чтобы установить ядро 3.8.XX нужно выполнить в терминале:
sudo apt-get install linux-generic-lts-quantal xserver-xorg-lts-quantal

ЗЫ!!! Естественно после установки нового ядра нужно перезагрузиться :)
проверить после перезагрузки текущее ядро:
uname -r


Ввел команду но ядро обновилось до 3.5, а не до 3.8

P.S. после sudo apt-get install linux-generic-lts-saucy xserver-xorg-lts-saucy
обновилось до 3.11

PUY

ЦитироватьЕдинственный косяк, с которым сталкивался я с таким ядром - нету автоматических настроек для драйвера видео. То есть, если установлен проприеритарный драйвер, то при обновлении ядра может слететь xserver.

Да, хотел добавить, у меня Gallium 0.4 on AMD RV770 , конечно если проприетарные, то могут быть и проблемы.Если на дефолтном всё нормуль - то нечего и обновлять. У меня была причина обновиться,  кибернация. ;)

PUY

февраля 06, 2014, 11:13:19 #11 Последнее редактирование: февраля 06, 2014, 11:19:50 от PUY
 werwolf, если у тебя обновилось до 3.11 и всё хорошо - радуйся, хорошее ядро! :)

Хотя кто его знает....... с этой безоасностью?

у меня
:~$ grep CONFIG_X86_X32 /boot/config-`uname -r`
CONFIG_X86_X32=y


werwolf

Эта проблема для 64 битных версия. У меня все компы работают на 32 битных версиях.
Подскажите как правильно удалить старые версии ядра?

PUY

февраля 06, 2014, 13:18:53 #13 Последнее редактирование: февраля 06, 2014, 13:24:37 от PUY
ЦитироватьПодскажите как правильно удалить старые версии ядра?

Можно Ubuntu tweak или через синаптик
можно
dpkg -l | grep linux-image
sudo aptitude remove linux-image <версия ядра>
sudo update-grub


ЦитироватьЭта проблема для 64 битных версия

я Дилетант, понимаю не всё, только учусь :)

denkin

Цитата: werwolf от февраля 06, 2014, 10:58:22
...

Ввел команду но ядро обновилось до 3.5, а не до 3.8

P.S. после sudo apt-get install linux-generic-lts-saucy xserver-xorg-lts-saucy
обновилось до 3.11

Мой косяк 3.8 = 13.04 = raring
sudo apt-get install linux-generic-lts-raring xserver-xorg-lts-raring
прошу прощения